<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>HTML Tables</title>
	</head>
	<body>
		<h2 align="center">Welcome to the Tables page</h2>

		<!-- div is a generic container of elements. However, we can add an identifier for our element. An id is a unique identifier for our elements. There should only be one of a kind of id per page.

		Semantic Div - semantic divs are divs with ids that appropriately identifies or is definitive of its purpose and its content. -->

		<div id="navDiv">
			<a href="./index.html">Home Page</a>
			<a href="./form.html">Forms Page</a>
		</div>

		<h3 align="center">HTML Entities</h3>

		<p>
			<em>There are reserved characters in HTML. (e.g. &lt; or &gt;)</em>
		</p>
		<p>
			HTML entities start with an ampersand(&) and ends with a semicolon(;).
		</p>
		<h4>Common HTML Entities</h4>
		<!-- table tag allows us to create a table wherein we can display data/information in a tabular form: in rows and columns. 

		border attribute when added to a table will allow us to determine thickness of the borders in a table.

	   	-->

		<table border="1">
			<!-- tr means table row. It allows us to create a row in an HTML table. -->
			<!-- thead is used to group header/heading content in an HTML table -->
			<thead>
				<tr>
				<!-- th means table header. It allows us to add cells which will be our headers. Text in this element is bolded. -->
				<!-- colspan attribute allows us to add how many columns to occupy for a cell. -->
				<!-- rowspan attribute allows us to add how many rows to occupy for a cell. -->
				<th colspan="2">Entity</th>
				<th>Description</th>
				</tr>
			</thead>
			<!-- tbody tag is used to group body content in an HTML table. This is where the bulk of td or table data will be put -->
			<tbody>
				<tr>
					<!-- td means table data. These cells unlike th do not bold the text -->
					<td>&lt;</td>
					<td>lt</td>
					<td>less Than</td>
				</tr>
				<tr>
					<td>&gt;</td>
					<td>gt</td>
					<td>Greater Than</td>
				</tr>
				<tr>
					<td>&#8369;</td>
					<td>#8369</td>
					<td>Peso Sign</td>
				</tr>
				<tr>
					<td>&amp;</td>
					<td>amp</td>
					<td>Ampersand</td>
				</tr>
				<tr>
					<td>&quot;</td>
					<td>quot</td>
					<td>Double Quotation</td>
				</tr>
				<tr>
					<td>&apos;</td>
					<td>apos</td>
					<td>Aposthrope (Single Quotation Mark)</td>
				</tr>
				<tr>
					<td>&ntilde;</td>
					<td>ntilde</td>
					<td>Lower tilde</td>
				</tr>
				<tr>
					<td>&Ntilde;</td>
					<td>Ntilde</td>
					<td>Upper Tilde</td>
				</tr>
				<!-- tfoot ised to group footer content in an HTML table. It allows us to add misc contetn at the end of a table. -->
				<tfoot>
					<tr>
						<th colspan="3">List of Common HTML Entities</th>
					</tr>
				</tfoot>
			</tbody>
		</table>

		<hr>
		<h2 align="center">Product List</h2>
		<table border="5">
			<thead>
				<tr>
					<th>Name</th>
					<th>Price</th>
					<th>Description</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>Whey Protein</td>
					<td>&#8369;119</td>
					<td>600mg/3scoops 86 grams</td>
				</tr>
				<tr>
					<td>Sardines</td>
					<td>&#8369;59</td>
					<td>351mg/1 can</td>
				</tr>
				<tr>
					<td>Raw milk</td>
					<td>&#8369;79</td>
					<td>300mg/cup</td>
				</tr>
				<tr>
					<td>White Beans</td>
					<td>&#8369;99</td>
					<td>242mg/uncooked - 1 cup</td>
				</tr>
				<tr>
					<td>Raw Milk Cheese</td>
					<td>&#8369;89</td>
					<td>200mg/oz.</td>
				</tr>
				<tr>
					<td>Kidney Beans</td>
					<td>&#8369;99</td>
					<td>180mg/cooked - 1 cup</td>
				</tr>
				<tr>
					<td>Sesame Seeds</td>
					<td>&#8369;99</td>
					<td>176mg</td>
				</tr>
				<tr>
					<td>Okra</td>
					<td>&#8369;29</td>
					<td>164mg/cup cooked</td>
				</tr>
				<tr>
					<td>Almonds</td>
					<td>&#8369;199</td>
					<td>114mg/1 cup</td>
				</tr>
				<tr>
					<td>Natto</td>
					<td>&#8369;119</td>
					<td>95mg</td>
				</tr>
			</tbody>
		</table>

	</body>
</html>